Update user profile information
Updates the user’s detail information, profile information, privacy settings, and personal information in the user ID card.
You can also change a user’s name by changing the information in the userDetails property. When changing a user’s name, you can either change the information in the userName property OR change the information in firstName, middleName, lastName, suffixName, and title properties. Changes to firstName, middleName, lastName, suffixName, and title properties take precedence over changes to the userName property.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
The ID of the user to access.
Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.
Request
This endpoint expects an object: userProfile
When true, the user’s company and title information display on the ID card.
When true, the user’s address and phone number display on the ID card.
When true, the user’s ID card can be viewed from signed documents and envelope history.
When true, the user’s usage information displays on the ID card.
A complex element consisting of:
- lastSentDateTime - the date and time the user last sent an envelope.
- lastSignedDateTime - the date and time the user last signed an envelope.
- sentCount - the number of envelopes the user has sent.
- signedCount - the number of envelopes the user has signed.